org.keycloak.forms.account.freemarker.model

## Class AuthorizationBean

- java.lang.Object
- - org.keycloak.forms.account.freemarker.model.AuthorizationBean

-     public class AuthorizationBean
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AuthorizationBean.ManagedPermissionBean`
    `static class` | `AuthorizationBean.PermissionScopeBean`
    `static class` | `AuthorizationBean.RequesterBean`
    `class` | `AuthorizationBean.ResourceBean`
    `class` | `AuthorizationBean.ResourceServerBean`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationBean(KeycloakSession session, UserModel user, javax.ws.rs.core.UriInfo uriInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorizationBean.ResourceBean` | `getResource()`
    `List<AuthorizationBean.ResourceBean>` | `getResources()`
    `Collection<AuthorizationBean.ResourceBean>` | `getResourcesWaitingApproval()`
    `Collection<AuthorizationBean.ResourceBean>` | `getResourcesWaitingOthersApproval()`
    `Collection<AuthorizationBean.ResourceBean>` | `getSharedResources()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationBean

          public AuthorizationBean(KeycloakSession session,
                                   UserModel user,
                                   javax.ws.rs.core.UriInfo uriInfo)

  - ### Method Detail

    - #### getResourcesWaitingOthersApproval

          public Collection<AuthorizationBean.ResourceBean> getResourcesWaitingOthersApproval()

    - #### getResourcesWaitingApproval

          public Collection<AuthorizationBean.ResourceBean> getResourcesWaitingApproval()

    - #### getResources

          public List<AuthorizationBean.ResourceBean> getResources()

    - #### getSharedResources

          public Collection<AuthorizationBean.ResourceBean> getSharedResources()

    - #### getResource

          public AuthorizationBean.ResourceBean getResource()

Copyright © 2021 JBoss by Red Hat. All rights reserved.